Package ghidra.app.util.bin.format.pe.debug

# Class DebugCOFFSymbolsHeader

java.lang.Object
ghidra.app.util.bin.format.pe.debug.DebugCOFFSymbolsHeader

public class DebugCOFFSymbolsHeader extends Object
A class to represent the COFF Symbols Header.

     typedef struct _IMAGE_COFF_SYMBOLS_HEADER {
       DWORD   NumberOfSymbols;
       DWORD   LvaToFirstSymbol;
       DWORD   NumberOfLinenumbers;
       DWORD   LvaToFirstLinenumber;
       DWORD   RvaToFirstByteOfCode;
       DWORD   RvaToLastByteOfCode;
       DWORD   RvaToFirstByteOfData;
       DWORD   RvaToLastByteOfData;
     } IMAGE_COFF_SYMBOLS_HEADER, *PIMAGE_COFF_SYMBOLS_HEADER;

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFirstByteOfCodeRVA()`
  Returns the RVA of the first code byte.
  `int`
  `getFirstByteOfDataRVA()`
  Returns the RVA of the first data byte.
  `int`
  `getFirstLinenumberLVA()`
  Returns the LVA of the first line number.
  `int`
  `getFirstSymbolLVA()`
  Returns the LVA of the first symbol.
  `int`
  `getLastByteOfCodeRVA()`
  Returns the RVA of the last code byte.
  `int`
  `getLastByteOfDataRVA()`
  Returns the RVA of the last data byte.
  `DebugCOFFLineNumber[]`
  `getLineNumbers()`
  Returns the COFF line numbers.
  `int`
  `getNumberOfLinenumbers()`
  Returns the number of line numbers in this header.
  `int`
  `getNumberOfSymbols()`
  Returns the number of symbols in this header.
  `DebugCOFFSymbolTable`
  `getSymbolTable()`
  Returns the COFF symbol table.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getSymbolTable

    public DebugCOFFSymbolTable getSymbolTable()
    Returns the COFF symbol table.
    Returns:
      the COFF symbol table

  - ### getLineNumbers

    public DebugCOFFLineNumber[] getLineNumbers()
    Returns the COFF line numbers.
    Returns:
      the COFF line numbers

  - ### getNumberOfSymbols

    public int getNumberOfSymbols()
    Returns the number of symbols in this header.
    Returns:
      the number of symbols in this header

  - ### getFirstSymbolLVA

    public int getFirstSymbolLVA()
    Returns the LVA of the first symbol.
    Returns:
      the LVA of the first symbol

  - ### getNumberOfLinenumbers

    public int getNumberOfLinenumbers()
    Returns the number of line numbers in this header.
    Returns:
      the number of line numbers in this header

  - ### getFirstLinenumberLVA

    public int getFirstLinenumberLVA()
    Returns the LVA of the first line number.
    Returns:
      the LVA of the first line number

  - ### getFirstByteOfCodeRVA

    public int getFirstByteOfCodeRVA()
    Returns the RVA of the first code byte.
    Returns:
      the RVA of the first code byte

  - ### getLastByteOfCodeRVA

    public int getLastByteOfCodeRVA()
    Returns the RVA of the last code byte.
    Returns:
      the RVA of the last code byte

  - ### getFirstByteOfDataRVA

    public int getFirstByteOfDataRVA()
    Returns the RVA of the first data byte.
    Returns:
      the RVA of the first data byte

  - ### getLastByteOfDataRVA

    public int getLastByteOfDataRVA()
    Returns the RVA of the last data byte.
    Returns:
      the RVA of the last data byte